summaryrefslogtreecommitdiff
path: root/sys-cluster/poolmon/files/poolmon.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /sys-cluster/poolmon/files/poolmon.init
reinit the tree, so we can have metadata
Diffstat (limited to 'sys-cluster/poolmon/files/poolmon.init')
-rw-r--r--sys-cluster/poolmon/files/poolmon.init17
1 files changed, 17 insertions, 0 deletions
diff --git a/sys-cluster/poolmon/files/poolmon.init b/sys-cluster/poolmon/files/poolmon.init
new file mode 100644
index 000000000000..d62c922c050e
--- /dev/null
+++ b/sys-cluster/poolmon/files/poolmon.init
@@ -0,0 +1,17 @@
+#!/sbin/openrc-run
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+start() {
+ local pidfile=/run/poolmon.pid
+ ebegin "Starting poolmon"
+ start-stop-daemon --pidfile "${pidfile}" --exec /usr/bin/poolmon -- ${OPTIONS}
+ eend $?
+}
+
+stop() {
+ local pidfile=/run/poolmon.pid
+ ebegin "Stopping poolmon"
+ start-stop-daemon --stop --pidfile "${pidfile}"
+ eend $?
+}